Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class PKIStatusInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.PKIStatusInfo

All Implemented Interfaces:
  ASN1Value

public class PKIStatusInfo
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `PKIStatusInfo.Template`

Field Summary
`static int` | `badAlg`
`static int` | `badCertId`
`static int` | `badDataFormat`
`static int` | `badMessageCheck`
`static int` | `badRequest`
`static int` | `badTime`
`private int` | `failInfo`
`static int` | `granted`
`static int` | `grantedWithMods`
`private boolean` | `hasFailInfo`
`static int` | `incorrectData`
`static int` | `keyUpdateWarning`
`static int` | `missingTimeStamp`
`static int` | `rejection`
`static int` | `revocationNotification`
`static int` | `revocationWarning`
`private INTEGER` | `status`
`private SEQUENCE` | `statusString`
`static Tag` | `TAG`
`private static PKIStatusInfo.Template` | `templateInstance`
`static int` | `waiting`
`static int` | `wrongAuthority`

Constructor Summary
`private` | `PKIStatusInfo()`
`` | `PKIStatusInfo(int status)` Create a PKIStatusInfo with no failure info.
`` | `PKIStatusInfo(int status, int failInfo)`

Method Summary
`void` | `addFreeText(java.lang.String s)` Adds a string to the statusString SEQUENCE.
`void` | `addFreeText(UTF8String s)` Adds a UTF8String to the statusString SEQUENCE.
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PKIStatusInfo.Template` | `getTemplate()`
`void` | `setStatusString(SEQUENCE statusString)` Sets the `statusString` field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    private INTEGER status

### statusString

    private SEQUENCE statusString

### failInfo

    private int failInfo

### hasFailInfo

    private boolean hasFailInfo

### granted

    public static final int granted

See Also:
  Constant Field Values

### grantedWithMods

    public static final int grantedWithMods

See Also:
  Constant Field Values

### rejection

    public static final int rejection

See Also:
  Constant Field Values

### waiting

    public static final int waiting

See Also:
  Constant Field Values

### revocationWarning

    public static final int revocationWarning

See Also:
  Constant Field Values

### revocationNotification

    public static final int revocationNotification

See Also:
  Constant Field Values

### keyUpdateWarning

    public static final int keyUpdateWarning

See Also:
  Constant Field Values

### badAlg

    public static final int badAlg

See Also:
  Constant Field Values

### badMessageCheck

    public static final int badMessageCheck

See Also:
  Constant Field Values

### badRequest

    public static final int badRequest

See Also:
  Constant Field Values

### badTime

    public static final int badTime

See Also:
  Constant Field Values

### badCertId

    public static final int badCertId

See Also:
  Constant Field Values

### badDataFormat

    public static final int badDataFormat

See Also:
  Constant Field Values

### wrongAuthority

    public static final int wrongAuthority

See Also:
  Constant Field Values

### incorrectData

    public static final int incorrectData

See Also:
  Constant Field Values

### missingTimeStamp

    public static final int missingTimeStamp

See Also:
  Constant Field Values

### TAG

    public static final Tag TAG

### templateInstance

    private static final PKIStatusInfo.Template templateInstance

Constructor Detail

### PKIStatusInfo

    private PKIStatusInfo()

### PKIStatusInfo

    public PKIStatusInfo(int status,
                         int failInfo)

Parameters:
  `status` - A PKIStatus constant.
  `failInfo` - The bitwise AND of the PKIFailureInfo constants.

### PKIStatusInfo

    public PKIStatusInfo(int status)

  Create a PKIStatusInfo with no failure info.

Parameters:
  `status` - A PKIStatus constant.

Method Detail

### setStatusString

    public void setStatusString(SEQUENCE statusString)

  Sets the `statusString` field. May be null, since this field is optional.

### addFreeText

    public void addFreeText(java.lang.String s)

  Adds a string to the statusString SEQUENCE.

### addFreeText

    public void addFreeText(UTF8String s)

  Adds a UTF8String to the statusString SEQUENCE.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static PKIStatusInfo.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD